=== debian/changelog ===
haproxy (1.6.5-2) unstable; urgency=high

  * Add a patch to fix CVE-2016-5360. Closes: #826869.
    + BUG/MAJOR: http: fix breakage of "reqdeny" causing random crashes

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Jun 2016 22:23:50 +0200

haproxy (1.6.5-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: channel: fix miscalculation of available buffer space
    + BUG/MAJOR: Fix crash in http_get_fhdr with exactly MAX_HDR_HISTORY
      headers
    + BUG/MEDIUM: channel: don't allow to overwrite the reserve until
      connected
    + BUG/MEDIUM: channel: fix inconsistent handling of 4GB-1 transfers
    + BUG/MEDIUM: channel: incorrect polling condition may delay event
      delivery
    + BUG/MEDIUM: dns: fix alignment issue when building DNS queries
    + BUG/MEDIUM: fix maxaccept computation on per-process listeners
    + BUG/MEDIUM: Fix RFC5077 resumption when more than TLS_TICKETS_NO are
      present
    + BUG/MEDIUM: http: fix risk of CPU spikes with pipelined requests from
      dead client
    + BUG/MEDIUM: log: fix risk of segfault when logging HTTP fields in TCP
      mode
    + BUG/MEDIUM: lua: protects the upper boundary of the argument list for
      converters/fetches.
    + BUG/MEDIUM: peers: fix incorrect age in frequency counters
    + BUG/MEDIUM: sample: initialize the pointer before parse_binary call.
    + BUG/MEDIUM: stats: show backend may show an empty or incomplete result
    + BUG/MEDIUM: stats: show servers state may show an empty or incomplete
      result
    + BUG/MEDIUM: stick-tables: some sample-fetch doesn't work in the
      connection state.
    + BUG/MEDIUM: stream: ensure the SI_FL_DONT_WAKE flag is properly cleared
    + BUG/MEDIUM: trace.c: rdtsc() is defined in two files
    + MEDIUM: unblock signals on startup.
  * Bump standards to 3.9.8; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 11 May 2016 11:07:24 +0300
