## haproxy 1.6.6

=== debian/changelog ===
haproxy (1.6.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Jun 2016 12:02:38 +0200

haproxy (1.6.6-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: fix listening IP address storage for frontends
    + BUG/MAJOR: http: fix breakage of "reqdeny" causing random crashes
    + BUG/MEDIUM: stick-tables: fix breakage in table converters
    + BUG/MEDIUM: dns: unbreak DNS resolver after header fix
    + BUG/MEDIUM: stats: show servers state may show an servers from another
      backend
    + BUG/MEDIUM: fix risk of segfault with "show tls-keys"
    + BUG/MEDIUM: sticktables: segfault in some configuration error cases
    + BUG/MEDIUM: lua: converters doesn't work
    + BUG/MEDIUM: http: add-header: buffer overwritten
    + BUG/MEDIUM: external-checks: close all FDs right after the fork()
    + BUG/MAJOR: external-checks: use asynchronous signal delivery
  * Drop haproxy.service-check-config-before-reload.patch. Applied
    upstream.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Jun 2016 10:13:33 +0200

haproxy (1.6.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jun 2016 20:14:47 +0200

haproxy (1.6.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 May 2016 13:58:28 +0200
