## haproxy 1.6.7

=== debian/changelog ===
haproxy (1.6.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Depends on libssl-dev from backports to bring ALPN support.

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Jul 2016 19:21:30 +0200

haproxy (1.6.7-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: fix use-after-free crash on start
    + BUG/MEDIUM: dns: fix alignment issues in the DNS response parser

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 08:29:43 +0200
