## haproxy 1.6.8

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 #   ARCH may be useful to force build of 32-bit binary on 64-bit systems
 #   CFLAGS is automatically set for the specified CPU and may be overridden.
 #   LDFLAGS is automatically set to -g and may be overridden.
+#   DEP may be cleared to ignore changes to include files during development
 #   SMALL_OPTS may be used to specify some options to shrink memory usage.
 #   DEBUG may be used to set some internal debugging options.
 #   ADDINC may be used to complete the include path in the form -Ipath.
@@ -258,6 +259,3 @@
   USE_LIBCRYPT    = implicit
   USE_FUTEX       = implicit
   EXTRA          += haproxy-systemd-wrapper
-  USE_DL          = implicit
-else
-ifeq ($(TARGET),linux2628)
