=== debian/changelog ===
haproxy (1.6.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 17 Aug 2016 06:41:40 +0200

haproxy (1.6.8-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: compression: initialize avail_in/next_in even during
      flush
    + BUG/MAJOR: server: the "sni" directive could randomly cause trouble
    + BUG/MAJOR: stick-counters: possible crash when using sc_trackers
      with wrong table

 -- Vincent Bernat <bernat@debian.org>  Sun, 14 Aug 2016 14:17:08 +0200
