## haproxy 1.6.9

=== debian/changelog ===
haproxy (1.6.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Sep 2016 06:54:01 +0200

haproxy (1.6.9-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: stream: properly mark the server address as unset on
      connect retry

 -- Vincent Bernat <bernat@debian.org>  Wed, 31 Aug 2016 07:44:27 +0200
