=== debian/rules ===
--- 
+++ 
@@ -79,4 +79,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg
