## haproxy 1.6.10

=== debian/changelog ===
haproxy (1.6.10-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 23 Nov 2016 08:09:38 +0100

haproxy (1.6.10-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + Fix retransmits in proxy mode and rare cases of unkillable tasks.
    + systemd wrapper: do not leave old processes behind when reloading too
      fast.
    + systemd wrapper: correctly set the status code.
    + Fix two bugs in the peers' task management possibly causing some
      CLOSE_WAIT connection after some rare race conditions.
    + Make SO_REUSEPORT use configurable via the "-dR" command line switch
      or the "noreuseport" config option in the global section.
  * B-D on libssl1.0-dev (Closes: #828337); upstream does not currently
    support OpenSSL 1.1 for the 1.6 series.
  * haproxy: depend on lsb-base for the initscript's use of
    /lib/lsb/init-functions.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 21 Nov 2016 11:46:16 +0200

haproxy (1.6.9-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 30 Sep 2016 21:44:55 +0300

haproxy (1.6.9-2) unstable; urgency=medium

  * Enable Linux namespace support.
  * Pass the full Debian version and package release date from d/changelog to
    the build system.
  * initscript: reorder the reload command arguments to always parse EXTRAOPTS
    properly.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 Sep 2016 10:45:43 +0300
