=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: haproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
 Pre-Depends: dpkg (>= 1.17.14)
 Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
