=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(OS_TYPE),linux)
-        MAKEARGS+= TARGET=linux2628
+        MAKEARGS+= USE_NS=1 TARGET=linux2628
 else ifeq ($(OS_TYPE),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -32,6 +32,10 @@
 
 MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion)"
+
+DEBD=$(shell dpkg-parsechangelog -SDate)
+MAKEARGS += VERDATE="$(shell TZ=UTC date -d "$(DEBDATE)" "+%Y/%m/%d")"
 
 %:
 	dh $@ --with systemd,sphinxdoc
