## haproxy 1.7.1

=== debian/changelog ===
haproxy (1.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Dec 2016 21:01:42 +0100

haproxy (1.7.1-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.
  * Notable new features since 1.6:
    + SPOE (stream processing offload engine) : ability to delegate some
      slow, unreliable or dangerous processing to external processes.
    + More statistics in the CSV output.
    + Support of directories for config files: if the argument to -f
      is a directory, all files found there are loaded in alphabetical order.
    + It is now possible to set/unset/preset environment variables directly in
      the global section and query them through the CLI.
    + The CLI makes it possible to change a server's address, port, maxconn,
      check address and port at runtime, without reloading haproxy.
    + Support for multiple certificates: different certificates for the same
      domain so that the best one can be picked according to browser support.
      The main use is to be able to deliver ECDSA certificates to clients
      supporting them, without breaking compatibility with older clients.
    + SO_REUSEPORT is now configurable and can be disabled.
    + Updates to the Lua API, including new classes to access many internal
      objects like listeners, servers, proxies etc.
    + Support for a new type of maps consisting of regular expressions with
      replacement values.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Dec 2016 12:32:32 +0200

haproxy (1.7.0-1) experimental; urgency=medium

  * New upstream stable series.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 25 Nov 2016 18:00:55 +0200

haproxy (1.7~dev6-1) experimental; urgency=medium

  * New upstream development release (Closes: #828337)
  * Upload to experimental
  * d/watch: look for 1.7
  * B-D on zlib1g-dev
  * haproxy: Depend on lsb-base for the initscript
  * Ship additional plain-text documentation
  * haproxy-doc: ship HTML version of management.txt
  * Update the default SSL cipher list and add a link to Mozilla's SSL
    configuration generator (Closes: #840735)
  * d/rules: use SUBVERS to pass the Debian revision to HAPROXY_VERSION

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Nov 2016 16:02:27 +0200
