## haproxy 1.7.2

=== debian/changelog ===
haproxy (1.7.2-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + Fix a regression whereby fragmented requests were randomly flagged as
      bad requests depending on previous buffer contents; this was noticable
      under low load with authenticated requests.
    + Fix dynamic address resolution for IPv6-only hosts.
    + Make sure SSL sessions are not reused when the SNI changes. This makes
      SNI and SSL health checks play nice together.
    + Minor improvements:
      - Add the ability to perform actions on multiple servers via the stats
        page.
      - Add the ability to specify a custom HTTP reason field in generated
        responses.
      - New sample fetch function, `fc_rcvd_proxy', indicating wheter the
        PROXY protocol was used on the frontend for a connection or not.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 13 Jan 2017 14:49:05 +0200
