=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 
 MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
-MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion)"
+MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion | cut -d - -f 1)"
+MAKEARGS += SUBVERS="-$(shell dpkg-parsechangelog -SVersion | cut -d - -f 2)"
 
 DEBD=$(shell dpkg-parsechangelog -SDate)
 MAKEARGS += VERDATE="$(shell TZ=UTC date -d "$(DEBDATE)" "+%Y/%m/%d")"
@@ -51,12 +52,11 @@
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
 	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
-	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-		-i $(CURDIR)/doc/configuration.txt \
-		-o $(CURDIR)/doc/configuration.html
-	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-		-i $(CURDIR)/doc/intro.txt \
-		-o $(CURDIR)/doc/intro.html
+	for doc in intro configuration management; do \
+		python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+			-i $(CURDIR)/doc/$${doc}.txt \
+			-o $(CURDIR)/doc/$${doc}.html ;\
+	done
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 	$(MAKE) -C doc/lua-api html
 
@@ -83,4 +83,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbg-package=haproxy-dbg
+	dh_strip --dbgsym-migration="haproxy-dbg"
