## haproxy 1.7.3

=== debian/changelog ===
haproxy (1.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Mar 2017 21:37:10 +0100

haproxy (1.7.3-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    - BUG/MAJOR: lua segmentation fault when the request is like 'GET
                 ?arg=val HTTP/1.1'
    - BUG/MAJOR: dns: restart sockets after fork()
    - BUG/MEDIUM: tcp: don't poll for write when connect() succeeds
    - BUG/MEDIUM: http: prevent redirect from overwriting a buffer
    - BUG/MEDIUM: filters: Do not truncate HTTP response when body length
                  is undefined
    - BUG/MEDIUM: http: Prevent replace-header from overwriting a buffer
    - BUG/MEDIUM: config: reject anything but "if" or "unless" after a
                  use-backend rule

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Mar 2017 20:03:12 +0100

haproxy (1.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 17 Jan 2017 07:14:59 +0100
