=== debian/changelog ===
haproxy (1.7.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 May 2017 12:31:02 +0200

haproxy (1.7.5-2) unstable; urgency=medium

  * Enable getaddrinfo() support, allowing resolution of hostnames to IPv6
    addresses (Closes: #862780). Thanks to Anton Eliasson
    <devel@antoneliasson.se>!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 May 2017 13:01:45 +0300

haproxy (1.7.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Apr 2017 16:07:51 +0200

haproxy (1.7.5-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MEDIUM: peers: fix buffer overflow control in intdecode.
    - BUG/MEDIUM: buffers: Fix how input/output data are injected into buffers
    - BUG/MEDIUM: http: Fix blocked HTTP/1.0 responses when compression is
      enabled

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 04 Apr 2017 14:25:38 +0300

haproxy (1.7.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Apr 2017 14:55:21 +0200

haproxy (1.7.4-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    - BUG/MAJOR: connection: update CO_FL_CONNECTED before calling the
                 data layer
    - BUG/MAJOR: http: fix typo in http_apply_redirect_rule
    - BUG/MAJOR: stream-int: do not depend on connection flags to detect
                 connection
    - BUG/MEDIUM: cli: Prevent double free in CLI ACL lookup
    - BUG/MEDIUM: connection: ensure to always report the end of handshakes
    - BUG/MEDIUM: listener: do not try to rebind another process' socket
    - BUG/MEDIUM: stream: fix client-fin/server-fin handling
    - BUG/MEDIUM: tcp: don't require privileges to bind to device

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Mar 2017 11:01:14 +0200
