=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libssl-dev (>= 1.0.2),
                liblua5.3-dev,
                dh-systemd (>= 1.5),
-               python-sphinx (>= 1.0.7+dfsg)
+               python-sphinx (>= 1.0.7+dfsg),
+               zlib1g-dev
 Build-Depends-Indep: python, python-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
