=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	 USE_OPENSSL=1 \
 	 USE_ZLIB=1 \
 	 USE_LUA=1 \
+	 USE_GETADDRINFO=1 \
 	 LUA_INC=/usr/include/lua5.3
 
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -83,4 +84,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg
