## haproxy 1.7.8

=== debian/changelog ===
haproxy (1.7.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jul 2017 08:43:35 +0200

haproxy (1.7.8-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: cli: fix custom io_release was crushed by NULL.
    - BUG/MAJOR: compression: Be sure to release the compression state in
                 all cases
    - BUG/MAJOR: map: fix segfault during 'show map/acl' on cli.
    - BUG/MEDIUM: filters: Be sure to call flt_end_analyze for both
                  channels
    - BUG/MEDIUM: map/acl: fix unwanted flags inheritance.
  * Bump Standards-Version to 4.0.0. No changes needed.
  * Update d/watch to use https.

 -- Vincent Bernat <bernat@debian.org>  Sat, 08 Jul 2017 08:24:35 +0200

haproxy (1.7.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 Jun 2017 20:36:55 +0200

haproxy (1.7.7-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MEDIUM: http: Drop the connection establishment when a redirect
                  is performed
    - BUG/MEDIUM: cfgparse: Check if tune.http.maxhdr is in the range
                  1..32767

 -- Vincent Bernat <bernat@debian.org>  Mon, 26 Jun 2017 14:06:48 +0200

haproxy (1.7.6-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: Use -fwrapv.
    - BUG/MAJOR: http: call manage_client_side_cookies() before erasing
                 the buffer
    - BUG/MAJOR: server: Segfault after parsing server state file.
    - BUG/MEDIUM: acl: don't free unresolved args in prune_acl_expr()
    - BUG/MEDIUM: acl: proprely release unused args in prune_acl_expr()
    - BUG/MEDIUM: arg: ensure that we properly unlink unresolved arguments
                  on error
    - BUG/MEDIUM: lua: memory leak
    - BUG/MEDIUM: lua: segfault if a converter or a sample doesn't return
                  anything
    - BUG/MEDIUM: peers: Peers CLOSE_WAIT issue.
    - BUG/MEDIUM: unix: never unlink a unix socket from the file system

 -- Vincent Bernat <bernat@debian.org>  Sun, 18 Jun 2017 12:34:40 +0200
