## haproxy 1.7.9

=== debian/changelog ===
haproxy (1.7.9-1ubuntu1) artful; urgency=medium

  * Backport of -x option from upstream haproxy to enable seamless 
    reloading of haproxy without dropping connections.  This is enabled
    by adding
    " stats socket <stats file> expose-fd listeners
      stats bind-process 1 "
    to the global section of your haproxy config, and
    setting HAPROXY_STATS_SOCKET in the haproxy.service unit file.
    (LP: #1712925)

 -- Dave Chiluk <chiluk@ubuntu.com>  Thu, 14 Sep 2017 12:32:36 -0500

haproxy (1.7.9-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: lua/socket: resources not destroyed when the socket is
                 aborted
    - BUG/MEDIUM: lua: bad memory access
    - BUG/MEDIUM: http: Switch HTTP responses in TUNNEL mode when body
                  length is undefined

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Aug 2017 12:05:02 +0200
