=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9),
                libpcre3-dev,
-               libssl-dev (>= 1.0.2),
+               libssl-dev,
                liblua5.3-dev,
                dh-systemd (>= 1.5),
                python-sphinx (>= 1.0.7+dfsg),
@@ -29,20 +30,6 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
-
-Package: haproxy-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, haproxy (= ${binary:Version})
-Description: fast and reliable load balancing reverse proxy (debug symbols)
- HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
- availability environments. It features connection persistence through HTTP
- cookies, load balancing, header addition, modification, deletion both ways. It
- has request blocking capabilities and provides interface to display server
- status.
- .
- This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc
